Summary:        Tool to translate x86-64 CPU Machine Check Exception data.
Name:           mcelog
Version:        0.7
Release: 	5%{?dist}
Epoch:		1
Group:          System Environment/Base
License:        GPLv2
Source0:        ftp://ftp.x86-64.org/pub/linux/tools/mcelog/mcelog-%{version}.tar.gz
Patch0:		mcelog-0.7-record-length.patch
URL:            ftp://ftp.x86-64.org/pub/linux/tools/mcelog/
Buildroot:      %{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	x86_64

%description
mcelog is a daemon that collects and decodes Machine Check Exception data
on x86-64 machines.

%prep
%setup -q
%patch0 -p1 -b .record-length

%build
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}

make CFLAGS="$RPM_OPT_FLAGS -fpie -pie"

%install
mkdir -p %{buildroot}%{_mandir}/man{1,8}
mkdir -p %{buildroot}%{_sysconfdir}/cron.hourly
mkdir -p %{buildroot}%{_sbindir}
install mcelog %{buildroot}%{_sbindir}/mcelog
install mcelog.cron %{buildroot}%{_sysconfdir}/cron.hourly/mcelog.cron
cp mcelog.8 %{buildroot}%{_mandir}/man8
cd ..
chmod -R a-s %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{_sbindir}/mcelog
%{_sysconfdir}/cron.hourly/mcelog.cron
%attr(0644,root,root) %{_mandir}/*/*

%changelog
* Sun Mar 21 2010 Jon Masters <jcm@jonmasters.org> - 1:0.7-5
- There are test 2.6.32 kernels in F11 now with a newer mce record format.
- Handle backward compatibility because upstream mcelog does not do that.

* Tue Mar 16 2010 Jon Masters <jcm@jonmasters.org> - 1:0.7-4
- Add a patch to correct problems with kernel provided mce record length.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.7-2
- fix license tag
- clean this package up

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:0.7-1.22
- Autorebuild for GCC 4.3

* Mon Jul 17 2006 Jesse Keating <jkeating@redhat.com>
- Rebuild.

* Fri Jun 30 2006 Dave Jones <davej@redhat.com>
- Rebuild. (#197385)

* Wed May 17 2006 Dave Jones <davej@redhat.com>
- Update to upstream 0.7
- Change frequency to hourly instead of daily.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Wed Feb  8 2006 Dave Jones <davej@redhat.com>
- Update to upstream 0.6

* Mon Dec 19 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.5

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.4

* Thu Jan 27 2005 Dave Jones <davej@redhat.com>
- Initial packaging.

